<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
	<!-- Latest compiled and minified CSS -->
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
		<link rel="stylesheet" href="stylessimon.css">

		<title>Simon</title>
	</head>
	<body>
			<h1> le jeu du Simon </h1>
				<section>
					<button type="button" id="facile">Facile</button>
					<button type="button" id="start">Start</button>
				</section>

				<section class="size"> 
					<button id="btn1"><span class="pushed"></span></button>
					<button id="btn2"><span class="pushed"></span></button>
					<button id="btn3"><span class="pushed"></span></button>
					<button id="btn4"><span class="pushed"></span></button>
				</section>


	<script type="text/javascript">
		var boutons = [document.getElementById("btn1"), document.getElementById("btn2"), document.getElementById("btn3"), document.getElementById("btn4")];
		var sequence = [];

		// 0 : initialisation
		for (var i = 0; i < 4; i++) {
			sequence.push(boutons[Math.floor(Math.random() * 4)]);
		}
		
		console.log("Memorisez la sequence");
		// 1 : montrer au joueur les boutons choisis
		var courant = 0;
		function allumer() {

			function eteindre(bouton_a_eteindre) {
				bouton_a_eteindre.classList.remove('actif');
			}

			// allumer le bouton
			sequence[courant].classList.add('actif');

			// différer l'extinction de 600ms
			setTimeout(eteindre, 600, sequence[courant]);

			// différer l'allumage du bouton suivant dans 700ms
			courant++;
			if (courant < sequence.length) {
				setTimeout(allumer, 700);
				// on rallume à 700.
			} else {
				//quand la séqence est terminé on laisse le joueur jouer
				tourjoueur();
			}
		}

		document.getElementById("start").addEventListener("click",allumer);
/*au click du bouton difficile on va lui appliquer la fonction qu'on a définit plus haut.*/ 
		
		/*ecouter les clicks du player*/

		function tourjoueur () {
			console.log("A vous !");
			courant = 0;

			// a 5000 on lance la fonction gameover
			var to = setTimeout(gameover, 5000);

			for (var i = 0; i < boutons.length; i++) {
				boutons[i].addEventListener("click", verif);
			}

			function gameover () {
				console.log("temps écoulé");
				for (var i = 0; i < boutons.length; i++) {
					boutons[i].removeEventListener("click", verif)
				}
			}
		}


		function gameover(){
			courant = 0;
			console.log("tu as perdu");
		}


		function verif () {
			if ( this != sequence[courant]){
				sequence = [];
				courant = 0; 
				console.log("tu as perdu");
			}
			else 
				courant++;
				if (courant < sequence.length){
				to = setTimeout(gameover, 10000);
				/*on lance un compteur de 10 sec*/
				}
				sequence.push(boutons[Math.floor(Math.random()*4)]);
				courant=0;



		}





		</script>
	</body>
</html>